
spring:
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    url: jdbc:mysql://127.0.0.1:3307/airconditioner?serverTimezone=GMT%2B8&characterEncoding=utf-8&useSSL=false&autoReconnect=true
#    url: jdbc:mysql://127.0.0.1:3306/airconditioner?serverTimezone=GMT%2B8&characterEncoding=utf-8&useSSL=false
    driver-class-name: com.mysql.jdbc.Driver
    username: root
    password: admin
#    password: root
  mqtt:
    enable: true
#    url: tcp://192.168.10.100:1883
    url: tcp://47.107.255.78:1883
    username: airconditioner
    password: air123
    #MQTT-连接服务器默认客户端ID
    #生产者和消费者是单独连接服务器会使用到一个clientid（客户端id），如果是同一个clientid的话会出现Lost connection: 已断开连接; retrying...
    producerClientId: jmyj6fea06m04h58j2j
    consumerClientId: 99ps6fea77m0445y46u
#    clientId: 99ee6fea06809oj06
    #连接超时，单位ms
    timeout: 5000
    #1.5*Keep Alive 的时间间隔心跳，单位为秒
    keepalive: 2
    # deviceId
    #deviceId: your_deviceId
    # mqtt-topic
#    producerTopic: mqtt/+/+/plc_cmd
    consumerTopic: mqtt/+/+/plc_data
    qos: 1
    defaultRetained: true
#    consumertopic: /+/sys/motor, /+/sys/media, /+/sys/general, /+/sys/rc, /+/sys/rtk, /+/mission, /+/power, /+/v3/sys/general
#配置MyBatis日志
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: false
  #配置扫描通用枚举
  type-enums-package: com.yzt.airconditionersystem.enums
server:
  port: 8888